# Uses of Interface
javax.validation.MessageInterpolator

Packages that use MessageInterpolator
Package
Description
javax.validation
javax.validation.spi

## Uses of MessageInterpolator in javax.validation

Methods in javax.validation that return MessageInterpolator
Modifier and Type
Method
Description
`MessageInterpolator`
Configuration.`getDefaultMessageInterpolator()`
`MessageInterpolator`
ValidatorFactory.`getMessageInterpolator()`
Methods in javax.validation with parameters of type MessageInterpolator
Modifier and Type
Method
Description
`T`
Configuration.`messageInterpolator(MessageInterpolator interpolator)`
`ValidatorContext`
ValidatorContext.`messageInterpolator(MessageInterpolator messageInterpolator)`

## Uses of MessageInterpolator in javax.validation.spi

Methods in javax.validation.spi that return MessageInterpolator
Modifier and Type
Method
Description
`MessageInterpolator`
ConfigurationState.`getMessageInterpolator()`